#include "mbed.h"

I2C io(I2C_SDA,I2C_SCL);

#define ad 0x70

void ecrit_i2c(unsigned char a,unsigned char c)
{
    io.start();
    io.write(a);
    io.write(c);
    io.stop();
}

unsigned char lit_i2c(unsigned char a)
{unsigned char c;
    io.start();
    io.write(a+1); // ad lecture
    c=io.read(1);  // avec ACK
    io.stop();
    return(c);
}

int main() {
unsigned char c;
    while(1) {
        c=lit_i2c(ad);
        c<<=4;        // 4pf vers 4PF
        c|=0x0F;      // pseudo port, pour passer unport en entree on ecrit 1 dessus
        ecrit_i2c(ad,c);
        wait_ms(5);        
    }
}
